using UnityEngine; //You'll probably need this...

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("SCPPE", "Where to find all of the SCP: People Playground Edition Content", ModAPI.LoadSprite("icon/category.png"));

////////////////////////////////////////
/////////////////HUMANS/////////////////
////////////////////////////////////////
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) D-Class",
        DescriptionOverride = "Test subjects of the Foundation not offically staff of the foundation, therefore not part of any department, mostly convicts on death row or serving life sentences.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/dclass.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/dclass.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) E-Class",
        DescriptionOverride = "Foundation personnel recovering from physical or psychological wounds, usually isolated and monitored if they are suspected of being exposed to harmful effects.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/eclass.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/eclass.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Janitor",
        DescriptionOverride = "Unknown Department they're a part of, janitors are normally cleaning or sanitizing the site they are located in though they are not allowed even in then most low level areas.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/janitor.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/janitor.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Researcher",
        DescriptionOverride = "Personnel of the Scientific Department, generally specialized in researching SCPs or technology for the Foundation.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/researcher.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/researcher.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Lead Researcher",
        DescriptionOverride = "Second rank of the Scientific Department, is responsible of leading research teams and conducting more complex research projects.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/leadresearcher.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/leadresearcher.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Head Researcher",
        DescriptionOverride = "Top-rank of the Scientific Department, only one per site, generally specialized in managing a whole system of researchers in a single foundation site or area.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/headresearcher.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/headresearcher.png");


            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Medical Staff",
        DescriptionOverride = "Personnel of the Medical Department, frequently tending to injured personnel, injured D-Class, and watching over E-Class.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/medicalstaff.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/medicalstaff.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Utility Technician",
        DescriptionOverride = "Personnel of the Engineering and Technical Service Department (E&TS) of the Foundation, responsible for repair/maintenance & design/construction of the Foundation.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/ultilitystaff.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/ultilitystaff.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Zone Manager",
        DescriptionOverride = "Lowest rank of the Administrative Department, manages the containment, research, and security within a certain zone of the site.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/zonemanager.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/zonemanager.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Site Director",
        DescriptionOverride = "Middle rank of the Administrative Department, generally manage the containment, research, and security of the site or area to which they've been assigned to by the O5 Council.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/sitedirector.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/sitedirector.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) O5 Council",
        DescriptionOverride = "Top of the Administrative Department, one of the 1 though 12 O5 Council Members, whose identity is kept top secret, is partly in control of the Foundation's operations.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/O5council.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/O5council.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Light Security Officer",
        DescriptionOverride = "Budget Personnel of the Security Department, having fewer equipment and armor than conventional security personnel.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/lightsiteguard.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/lightsiteguard.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Security Officer",
        DescriptionOverride = "Standard Personnel of the Security Department, generally used as Facility Guards, they usually tend to D-Class, monitor sites against outside intruders and guard personnel in the event of a containment breach.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/siteguard.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/siteguard.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Medical Security Officer",
        DescriptionOverride = "Medical Personnel of the Security Department, security officer that has field medical experience.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/medicguard.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/medicguard.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Elite Security Officer",
        DescriptionOverride = "Elite Personnel of the Security Department, higher trained compared to standard security. Equipped with more advanced equipment and weaponry.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/elitesiteguard.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/elitesiteguard.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Strategic Response Team Unit",
        DescriptionOverride = "Veteran Personnel of the Security Department, higher trained compared to the elite security personnel, armed with best equipment and weaponry, they are utilized as an 'on-site MTF' and are deployed as an immediate solution to a breach until the MTFs arrive.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/onsitemtf.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/onsitemtf.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Strategic Response Team Medical Unit",
        DescriptionOverride = "Veteran Medical Personnel of the Security Department, higher trained and has higher medical experience compared to the medical security personnel, armed with the best equipment, weaponry and medical equipment, they are utilized as an 'on-site MTF' and are deployed as an immediate solution to a breach until the MTFs arrive.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/medicmtf.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/medicmtf.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Alpha-1 Unit",
        DescriptionOverride = "Part of the Mobile Task Forces, the best and most devoted agents make up Alpha-1 (Red Right Hand), which reports directly to O5 Council and is only utilized for the most catastrophic or severe operational security.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/alpha1.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/alpha1.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Epsilon-11 Unit",
        DescriptionOverride = "Part of the Mobile Task Forces, under the supervision of MTF Alpha-1, Epsilon-11 (Nine Tailed Fox) is responsible of the Foundation's internal security. Epsilon-11 is called in when conventional protocols fail and numerous breaches are imminent.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/epsilon11.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/epsilon11.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Nu-7 Light Unit",
        DescriptionOverride = "Part of the Mobile Task Forces, tasked with responding to scenarios involving the loss of communication with major Foundation facilities, such as a site-wide breach, enemy compromise, or other similarly catastrophic event. They have a substantial number of infantry, armored, and aviation battalions available for deployment.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/nu7light.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/nu7light.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Nu-7 Medical Unit",
        DescriptionOverride = "Part of the Mobile Task Forces, a Nu-7 Unit specialed with field medical operations.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/medicnu7.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/medicnu7.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Nu-7 Heavy Unit",
        DescriptionOverride = "Part of the Mobile Task Forces, elite unit that is similar to the Light Unit but is better equipped with tougher armor and weaponry.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/nu7heavy.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/nu7heavy.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Beta-7 Unit",
        DescriptionOverride = "Part of the Mobile Task Forces, specializes in the swift containment and decontamination of areas impacted by anomalies that pose significant biological, chemical, or radiological hazards, as well as the acquisition and containment of said anomalies.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/beta7.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/beta7.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Epsilon-9 Unit",
        DescriptionOverride = "Part of the Mobile Task Forces, special forces unit that specializes in high-temperature operations and the deployment and utilization of incendiary weapons.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/epsilon9.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/epsilon9.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SCP) Zeta-9 Unit",
        DescriptionOverride = "Part of the Mobile Task Forces, specializes in investigating, exploring, and containing anomalous events in subterranean or enclosed environments, particularly those with unpredictable topography or unstable spacetime.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/zeta9.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/zeta9.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"), 
        NameOverride = "(SCP) Tau-5 Unit",
        DescriptionOverride = "Part of the Mobile Task Forces, 'immortal' (in people playground, nothing is immortal) cyborg clones formed from the flesh of a dead god, investigates and contains thaumaturgic, magical, and telepathic threats with esoteric and experimental Foundation weaponry.", 
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"), 
        ThumbnailOverride = ModAPI.LoadSprite("icon/tau5.png"), 
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("npc/tau5.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);
            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCP) CBRN D-Class",
          DescriptionOverride = "Same as the standard D-Class but with chemical-biological-radiological-nuclear protection gear.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/hazmatdclass.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("npc/dclasstank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("npc/hazmatdclass.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCP) CBRN Researcher",
          DescriptionOverride = "Same as the standard researcher but with chemical-biological-radiological-nuclear protection gear.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/hazmatresearcher.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("npc/researchertank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("npc/hazmatresearcher.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCP) CBRN Security Officer",
          DescriptionOverride = "Same as the standard security officer but with chemical-biological-radiological-nuclear protection gear.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/hazmatguard.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("npc/guardtank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("npc/hazmatguard.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(SCP) CBRN SRT Unit",
          DescriptionOverride = "Same as the strategic response team but with chemical-biological-radiological-nuclear protection gear.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/hazmatmtf.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("npc/mtftank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("npc/hazmatmtf.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(CI) Chaos Standard Soldier",
        DescriptionOverride = "The average foot soldier for the Chaos Insurgency, equiped with the basic of gear.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/chaossoldier.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/chaossoldier.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(CI) Chaos Heavy Soldier",
        DescriptionOverride = "A heavier soldier for the Chaos Insurgency for more deadly situations, usually equiped with more advanced equipment.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/chaosheavy.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/chaosheavy.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(CI) Chaos Squad Officer",
        DescriptionOverride = "An average squad leader for the Chaos Insurgency, usually equiped with the most advanced equipment.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/chaosofficer.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/chaosofficer.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(UNGOC) GOC Undersecretariat",
        DescriptionOverride = "The Director of the UNGOC, considered part of the United Nations Organization, usually maintains the structure of the UNGOC.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/gocdirector.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/gocdirector.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(UNGOC) GOC Scientist",
        DescriptionOverride = "The GOC Research and Development Teams, unlike the Foundation scientists, they unually research ways to swiftly and effectively eliminate SCPs and also research new technology to aid them in doing so.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/gocresearcher.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/gocresearcher.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(UNGOC) GOC Assessment Team",
        DescriptionOverride = "The GOC Assessment Teams, equivalent to the United Nation's Peacekeeping Forces, usually protecting facilities and important personnel, and investigating and observing parathreats.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/gocsoldier.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/gocsoldier.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(UNGOC) GOC Heavy Assessment Team",
        DescriptionOverride = "A heavy unit for the Assessment Teams, higher trained and usually equiped with heavier equipment.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/gocheavy.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/gocheavy.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(UNGOC) GOC Strike Team",
        DescriptionOverride = "The GOC Strike Teams, task force for the Global Occult Coalition, specializes in capturing and eliminating parathreats.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/goctaskforce.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/goctaskforce.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(UNGOC) CBRN GOC Scientist",
          DescriptionOverride = "Same as the GOC scientist but with chemical-biological-radiological-nuclear protection gear.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/gochazmatscientist.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("npc/gocscientisttank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("npc/gochazmatscientist.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
            ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "(UNGOC) CBRN GOC Strike Team",
          DescriptionOverride = "Same as the GOC Strike Team Unit but with chemical-biological-radiological-nuclear protection gear.",
          NameToOrderByOverride = "A",
          CategoryOverride = ModAPI.FindCategory("SCPPE"),
          ThumbnailOverride = ModAPI.LoadSprite("icon/gochazmattaskforce.png"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("npc/goctaskforcetank.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("npc/gochazmattaskforce.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(145, 30, 30);
              person.SetSecondBruiseColor(60, 0, 0);
              person.SetThirdBruiseColor(30, 0, 0);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SH) Serpent Follower",
        DescriptionOverride = "An average Serpent's Hand follower.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/serpentfollow.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/serpentfollow.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SH) Serpent Soldier",
        DescriptionOverride = "A Serpent's Hand Soldier, used to raid facilities or protect SCPs and it's members.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/serpentsoldier.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/serpentsoldier.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(SH) Serpent Leader",
        DescriptionOverride = "A Serpent's Hand squad leader, used to command specific squads around the world.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/serpentleader.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/serpentleader.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(UIU) UIU Standard Unit",
        DescriptionOverride = "The Unusual Incidents Unit standard force, used to protect government personnel and civilians from SCPs.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbistandard.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/fbistandard.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(UIU) UIU Heavy Unit",
        DescriptionOverride = "The Unusual Incidents Unit heavy force, used for more deadly situations.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbiheavy.png"),
        AfterSpawn = (Instance) =>
        {

            var skin = ModAPI.LoadTexture("npc/fbiheavy.png");


            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(UIU) UIU Medical Unit",
        DescriptionOverride = "One of the UIU's medical units, used for treating injured people while in dangerous situations.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbimedic.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("npc/fbimedic.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "(UIU) UIU Undercover Unit",
        DescriptionOverride = "One of the UIU's undercover agents, used for finding intel on SCPs or as a low profile unit.",
        NameToOrderByOverride = "A",
        CategoryOverride = ModAPI.FindCategory("SCPPE"),
        ThumbnailOverride = ModAPI.LoadSprite("icon/fbiundercover.png"),
        AfterSpawn = (Instance) => 
        {
            var skin = ModAPI.LoadTexture("npc/fbiundercover.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, null, null, 1);

            person.SetBruiseColor(86, 62, 130);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
///////////////////////////
///////////ARMOR///////////
///////////////////////////
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Utility Vest & Helmet",
                    DescriptionOverride = "Utility equipment that includes a helmet for impact protection and a yellow safety vest for high visibility.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/utilityequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/utilityupperbody.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/utilityupperbody.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/utilityhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/utilitymiddlebody.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/utilitylowerbody.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Light Security Armor",
                    DescriptionOverride = "Tactical vest, ballistic helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/lightsecurityarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/securityupperchest.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/securityupperchest.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/ballistichelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/securitymiddlechest.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/securitylowerchest.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Standard Security Armor",
                    DescriptionOverride = "Tactical vest, and tactical helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/level1securityarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/securityupperchest.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/securityupperchest.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/level1securityhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/securitymiddlechest.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/securitylowerchest.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Medical Security Armor",
                    DescriptionOverride = "Security chest armor with a medical security helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/medicalsecurityequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/securityupperchest.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/securityupperchest.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/medichelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/securitymiddlechest.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/securitylowerchest.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Elite Security Armor",
                    DescriptionOverride = "Tactical vest and a level elite tactical helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/level2securityarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/securityupperchest.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/securityupperchest.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/level2securityhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/securitymiddlechest.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/securitylowerchest.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) SRT Security Armor",
                    DescriptionOverride = "Tactical vest and an SRT tactical helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/level3securityarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/securityupperchest.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/securityupperchest.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/level3securityhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/securitymiddlechest.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/securitylowerchest.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Medical SRT Armor",
                    DescriptionOverride = "SRT chest armor and a medical SRT helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/medicalmtfequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/commonmtfupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/commonmtfupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/medicmtfhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/commonmtfmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/commonmtflowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Alpha-1 Armor",
                    DescriptionOverride = "Standard MTF Vest, Alpha-1 Helmet, Alpha-1 Leg and Arm Armor.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/alpha1equipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/commonmtfupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 7;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/commonmtfupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/alpha1helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/commonmtfmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/commonmtflowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("item/alpha1upperarmarmor.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("item/alpha1upperlegarmor.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        armProp[5].sprite = ModAPI.LoadSprite("item/alpha1lowerlegarmor.png");
                        armProp[5].armorPiece = "LowerLeg";
                        armProp[5].armorTier = 2;
                        armProp[5].offset = offset;
                        armProp[5].scaleOffset = scaleOffset;
                        armProp[5].clone = true;
                        armProp[5].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Epsilon-11 Armor",
                    DescriptionOverride = "Standard MTF Vest, Epsilon-11 Helmet, Epsilon-11 Leg and Arm Armor.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/epsilon11equipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/commonmtfupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/commonmtfupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/epsilon11helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/commonmtfmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/commonmtflowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("item/epsilon11upperarmarmor.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("item/epsilon11upperlegarmor.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Nu-7 Light Armor",
                    DescriptionOverride = "Standard MTF Vest, Nu-7 Light Helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/nu7lightequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/commonmtfupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/commonmtfupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/nu7lighthelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/commonmtfmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/commonmtflowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Medical Nu-7 Armor",
                    DescriptionOverride = "Nu-7 chest armor and a medical Nu-7 helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/nu7medicequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/commonmtfupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/commonmtfupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/medicnu7helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/commonmtfmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/commonmtflowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Nu-7 Heavy Armor",
                    DescriptionOverride = "Nu-7 Heavy Vest, Nu-7 Heavy Helmet, Nu-7 Heavy Leg and Arm Armor.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/nu7heavyequipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/nu7hupperchestarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/nu7hupperchestarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/nu7hhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/nu7hmiddlechestarmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/nu7hlowerchestarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("item/nu7hupperarmarmor.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("item/nu7hupperlegarmor.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Beta-7 Armor",
                    DescriptionOverride = "Beta-7 Chest Armor.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/beta7equipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/beta7upperchestarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/beta7upperchestarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/gasmask.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/beta7middlechestarmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Epsilon-9 Armor",
                    DescriptionOverride = "Epsilon-9 chest armor and a specially made helmet made specifically for Epsilon-9.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/epsilon9equipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/epsilon9upperchestarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/epsilon9upperchestarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/epsilon9helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/epsilon9middlechestarmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Zeta-9 Armor",
                    DescriptionOverride = "Zeta-9 chest armor and a specially made helmet made specifically for Zeta-9.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/zeta9equipment.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/zeta9upperchestarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/zeta9upperchestarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/zeta9helmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/beta7middlechestarmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/zeta9lowerchestarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(CI) Chaos Standard Armor",
                    DescriptionOverride = "Ballistic vest and a Chaos Insurgency helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/chaosarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/chaosupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/chaosupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/chaoshelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/chaosmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/chaoslowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(CI) Chaos Heavy Soldier Armor",
                    DescriptionOverride = "Ballistic vest, heavy arm and leg armor, and heavy Chaos Insurgency helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/heavychaosarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/chaosupperarmor.png");

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/chaosupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/chaosheavyhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/chaosmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/chaoslowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("item/chaosheavyupperarm.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("item/chaosheavyupperleg.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(CI) Chaos Officer Hat",
                    DescriptionOverride = "A Chaos Insurgency officer hat.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/chaosofficerarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/chaosofficerhat.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/chaosofficerhat.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(UNGOC) GOC Standard Armor",
                    DescriptionOverride = "Ballistic vest and a Global Occult Coalition helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/gocarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/gocupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/gocupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/gocsoldierhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/gocmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/goclowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(UNGOC) GOC Heavy Soldier Armor",
                    DescriptionOverride = "Ballistic vest, heavy arm and leg armor, and heavy GOC helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/heavygocarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/gocupperarmor.png");

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/gocupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/gocheavyhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/gocmiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/goclowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("item/gocupperarm.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 2;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 15;

                        armProp[4].sprite = ModAPI.LoadSprite("item/gocupperleg.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 2;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(UNGOC) GOC Task Force Armor",
                    DescriptionOverride = "Ballistic vest and a Global Occult Coalition task force helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/goctaskforcearmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/goctaskforceupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/goctaskforceupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/goctaskforcehelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/goctaskforcemiddlearmor.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/goctaskforcelowerarmor.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SH) Serpent Standard Armor",
                    DescriptionOverride = "Small tactical vest and a belt for equipment.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/serpentarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/serpentupperarmor.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 3;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/serpentupperarmor.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/serpentmiddlearmor.png");
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/serpentlowerarmor.png");
                        armProp[1].armorPiece = "LowerBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(UIU) UIU Standard Armor",
                    DescriptionOverride = "Ballistic vest and a standard Unsual Incidents Unit helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/uiuarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/fbiupperbody.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/fbiupperbody.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/fbihelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/fbimiddlebody.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/fbilowerbody.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(UIU) UIU Heavy Armor",
                    DescriptionOverride = "Ballistic vest, heavy arm and leg armor, and heavy UIU helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/heavyfbiarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/fbiupperbody.png");

                        int PartCount = 6;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("item/fbiupperbody.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 15;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/fbiheavyhelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 10;

                        armProp[1].sprite = ModAPI.LoadSprite("item/fbimiddlebody.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 3;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/fbilowerbody.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 3;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        armProp[3].sprite = ModAPI.LoadSprite("item/fbiupperarm.png");
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].armorTier = 1;
                        armProp[3].offset = offset;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].clone = true;
                        armProp[3].armorPoints = 10;

                        armProp[4].sprite = ModAPI.LoadSprite("item/fbiupperleg.png");
                        armProp[4].armorPiece = "UpperLeg";
                        armProp[4].armorTier = 0;
                        armProp[4].offset = offset;
                        armProp[4].scaleOffset = scaleOffset;
                        armProp[4].clone = true;
                        armProp[4].armorPoints = 5;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(UIU) UIU Medic Armor",
                    DescriptionOverride = "Ballistic vest and a medical Unsual Incidents Unit helmet.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/uiumedicalarmor.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/fbiupperbody.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 4;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/fbiupperbody.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("item/fbimedichelmet.png");
                        armProp[0].armorPiece = "Head";
                        armProp[0].armorTier = 2;
                        armProp[0].offset = offset;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 15;

                        armProp[1].sprite = ModAPI.LoadSprite("item/fbimiddlebody.png");
                        armProp[1].armorPiece = "MiddleBody";
                        armProp[1].armorTier = 2;
                        armProp[1].offset = offset;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 15;

                        armProp[2].sprite = ModAPI.LoadSprite("item/fbilowerbody.png");
                        armProp[2].armorPiece = "LowerBody";
                        armProp[2].armorTier = 2;
                        armProp[2].offset = offset;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 15;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(UIU) UIU Undercover Glasses",
                    DescriptionOverride = "Undercover glasses used by undercover UIU unit.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/undercoverglasses.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/fbiglasses.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, .00f);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 2;
                        prop.sprite = ModAPI.LoadSprite("item/fbiglasses.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 20;

                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }

                        Instance.FixColliders();
                    }
                }
            );
///////////////////////////
//////////ITEMS////////////
///////////////////////////
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Standard Gasmask",
                    DescriptionOverride = "Standard usage gasmask for personnel during a biological or chemical hazard incident (particularly when CBRN suits are not available), provides top-of-the-line protection from biocontaminants and chemicals.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/gasmask.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/gasmask.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, 0);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("item/gasmask.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 30;

                        armor.prop = prop;
                        armor.SetProperties();

                        Instance.FixColliders();
                    }
                }
            );
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Standard Dust/Smoke Mask",
                    DescriptionOverride = "Standard usage dust and smoke masks for personnel in the case of a large fire, structural collapse, or subterranean operations, providing top-of-the-line dust and smoke protection.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/dusk_smokemask.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/dusk_smokemask.png"); //get the SpriteRenderer and replace its sprite with a custom one

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        Vector3 offset = new Vector3(.00f, 0);
                        Vector3 scaleOffset = new Vector3(.00f, 0);

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("item/dusk_smokemask.png");
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 30;

                        armor.prop = prop;
                        armor.SetProperties();

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "(SCP) Handcuffs", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "Used to subdue and detain someone.", 
                    CategoryOverride = ModAPI.FindCategory("SCPPE"), 
                    ThumbnailOverride = ModAPI.LoadSprite("icon/handcuffs.png"),
                    AfterSpawn = (Instance) => 
                    {
                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "LowerArm";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("item/handcuffs.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].armorPiece = "LowerArmFront";
                        armProp[0].armorTier = 4;
                        armProp[0].armorPoints = 5;
                        armProp[0].sprite = ModAPI.LoadSprite("item/handcuffs.png");

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCP) Multipurpose Field Radio",
                    DescriptionOverride = "A multipurpose field radio that can communicate with other field radios as well as listen to radio waves in the surrounding areas.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/fieldradio.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/fieldradio.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCP) Pain Killers",
                    DescriptionOverride = "It's used to ease pain and discomfort. Infections are not relieved, and wounds are not healed.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/painkillers.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/painkillers.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCP) First Aid Kit",
                    DescriptionOverride = "Used to treat minor physical wounds, may or may not ease pain and discomfort based on the wound.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/medkit.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/medkit.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCP) Medical Kit",
                    DescriptionOverride = "Used to treat major physical wounds, may or may not ease pain and discomfort based on the wound.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/medbag.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/medbag.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "(SCP) Disarmer",
                    DescriptionOverride = "Used to disarm somebody of their weapons and equipment.",
                    NameToOrderByOverride = "B",
                    CategoryOverride = ModAPI.FindCategory("SCPPE"),
                    ThumbnailOverride = ModAPI.LoadSprite("icon/disarmer.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("item/disarmer.png");

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        Instance.FixColliders();
                    }
                }
            );
        }
    }
}